linux-btrfs.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH v2 1/2] Change version.sh from last tag and hash to output last commit date and hash
@ 2010-05-04 17:47 Mike Fedyk
  2010-05-04 17:47 ` [PATCH v2 2/2] Fix version.sh to work with dash Mike Fedyk
  0 siblings, 1 reply; 2+ messages in thread
From: Mike Fedyk @ 2010-05-04 17:47 UTC (permalink / raw)
  To: linux-btrfs

The btrfs git repo doesn't have all of the tags from the base 2.6.32 kernel
it's currently based upon and the btrfs module is regularly compiled
against other kernels so this changes the version to be based upon the date
and hash of the latest commit instead which is more relevant to most people
testing.

An example version string with this change:
Btrfs 2010-04-06_09:37:47_-0400_9f680ce
---

 fs/btrfs/version.sh |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)
 mode change 100644 => 100755 fs/btrfs/version.sh

diff --git a/fs/btrfs/version.sh b/fs/btrfs/version.sh
old mode 100644
new mode 100755
index 1ca1952..a4576f2
--- a/fs/btrfs/version.sh
+++ b/fs/btrfs/version.sh
@@ -12,10 +12,7 @@ which git &> /dev/null
 if [ $? == 0 ]; then
     git branch >& /dev/null
     if [ $? == 0 ]; then
-	    if head=`git rev-parse --verify HEAD 2>/dev/null`; then
-		if tag=`git describe --tags 2>/dev/null`; then
-		    v="$tag"
-		fi
+		v="`git show --format='%ci_%h'|head -n 1|sed 's/[^a-z0-9_-:]/_/ig'`"
 
 		# Are there uncommitted changes?
 		git update-index --refresh --unmerged > /dev/null
@@ -24,7 +21,6 @@ if [ $? == 0 ]; then
 		    | read dummy; then
 		    v="$v"-dirty
 		fi
-	    fi
     fi
 fi
  


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [PATCH v2 2/2] Fix version.sh to work with dash
  2010-05-04 17:47 [PATCH v2 1/2] Change version.sh from last tag and hash to output last commit date and hash Mike Fedyk
@ 2010-05-04 17:47 ` Mike Fedyk
  0 siblings, 0 replies; 2+ messages in thread
From: Mike Fedyk @ 2010-05-04 17:47 UTC (permalink / raw)
  To: linux-btrfs


---

 fs/btrfs/version.sh |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/fs/btrfs/version.sh b/fs/btrfs/version.sh
index a4576f2..d87daf4 100755
--- a/fs/btrfs/version.sh
+++ b/fs/btrfs/version.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # determine-version -- report a useful version for releases
 #
@@ -8,10 +8,10 @@
  
 v="v0.16"
 
-which git &> /dev/null
-if [ $? == 0 ]; then
-    git branch >& /dev/null
-    if [ $? == 0 ]; then
+which git 2>&1 > /dev/null
+if [ $? -eq 0 ]; then
+    git branch 2>&1 > /dev/null
+    if [ $? -eq 0 ]; then
 		v="`git show --format='%ci_%h'|head -n 1|sed 's/[^a-z0-9_-:]/_/ig'`"
 
 		# Are there uncommitted changes?
@@ -19,7 +19,7 @@ if [ $? == 0 ]; then
 		if git diff-index --name-only HEAD | \
 		    grep -v "^scripts/package" \
 		    | read dummy; then
-		    v="$v"-dirty
+		    v="${v}-dirty"
 		fi
     fi
 fi
@@ -29,9 +29,9 @@ echo "#define __BUILD_VERSION" >> .build-version.h
 echo "#define BTRFS_BUILD_VERSION \"Btrfs $v\"" >> .build-version.h
 echo "#endif" >> .build-version.h
 
-diff -q version.h .build-version.h >& /dev/null
+diff -q version.h .build-version.h 2>&1 > /dev/null
 
-if [ $? == 0 ]; then
+if [ $? -eq 0 ]; then
     rm .build-version.h
     exit 0
 fi


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2010-05-04 17:47 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2010-05-04 17:47 [PATCH v2 1/2] Change version.sh from last tag and hash to output last commit date and hash Mike Fedyk
2010-05-04 17:47 ` [PATCH v2 2/2] Fix version.sh to work with dash Mike Fedyk

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).